//Entire Laser Housing Ready for Print

FNResolution = 360;


difference(){

    union(){
        import ("Laser Mount Plate Modified.stl");
		translate ([20.75-3+0.5,-8,48+1]) rotate ([-90,0,0]) import ("Bottom Dust Cover Modified.stl");
        translate ([12.25+8,0,8-3+0.5+1+1.5]) rotate ([0,-90,0]) import ("Laser Side Wall - Left Side.stl");
        translate ([79.75+0.5,0,8-3+42.5+0.5+1+1.5+3]) rotate ([0,90,0]) import ("Laser Side Wall - Right Side.stl");
        translate ([20.75-3+0.5,63.25-5-2.5,43+8-3+1]) rotate ([-90,0,0]) import ("Top Cover and Fan Mount.stl");
    }

    //Write Thor's Name
    LaserTextThickness = 1.5;
    translate([50.25,77.375-10-2.5+14.5-(8/2)/2,46.6+1+1.5+3])
        linear_extrude(height = LaserTextThickness) {
        text(text=str("THOR"), halign="center", valign="center");
    }
	
	//Fan Mount Screw Holes
	translate ([20.75-3+.5,63.25-5-2.5-5,43+8-3+1]) rotate ([-90,0,0]) import ("Fan Mount Holes.stl");
	
    //Laser Shielding Mount Screw Holes
    translate([12.5,-8/2,50.5-3+1.5]) import("Laser Shielding Plate Mount Screws.stl");
	
	//Countersink wiring hole
	translate([74.25,14.2,-0.1]) cylinder(d1=8, d2=0, h=8.2, $fn=FNResolution);
	translate([74.25,14.2,-0.1]) cylinder(d1=0, d2=8, h=8.2, $fn=FNResolution);
	
	//Laser Shielding Plate Cutout
	translate([12.5,-8/2,50.5-3+3])  import("Laser Shielding Plate Slot.stl");
}

//***********************************************************
//Turn this section off for Print

//Bottom Steel Piece
//translate([50.25,-8,8-3+0.5+20+1+1.75]) import("Laser Port Steel Piece.stl");

//JTech Laser Housing
//translate([50.25-32/2+0.5,14-4.5,8-3+0.5+20+1-2.9-17.1/2])     import("J Tech Photonics Laser Diode Component Mount.stl");

//JTech Laser Diode
//translate([50.25-32/2+0.5,14-4.5,8-3+0.5+20+1-2.9-17.1/2])     import("J Tech Photonics Laser Diode Component.stl");

//Fan for JTech Laser
//translate ([50.25-40/2,63.25-10-5-2.5,8-3+0.5+1+40+2.5])rotate([-90,0,0]) import("Fan.stl");

//Top Steel Piece
//translate([50.25,91.5+10-6-15.3-2.5+12+4,8-3+0.5+20+1+1.75]) import("Laser Port Steel Piece.stl");

//Laser Shielding Plate
//translate([12.5,-8/2,50.5-3+3])  import("Laser Shielding Plate.stl");

