//Top Dust Cover

FNResolution = 360; //360 for print

AddedLengthForFanClearance = 1.5;

DustCoverWidth = 43 + 3 + AddedLengthForFanClearance;
DustCoverLength = 76;
DustCoverThickness = 4;



InsetLength = 3;

CoverMountDiameter = 28;
CoverLockNutClearance = 36;
LockNutThicknessClearance = 2.5;

translate([0,DustCoverWidth - AddedLengthForFanClearance,DustCoverThickness]) rotate([180,0,0])
    difference(){
		cube([DustCoverLength,DustCoverWidth,DustCoverThickness]);
    
		translate ([DustCoverLength/2,(DustCoverWidth-InsetLength+AddedLengthForFanClearance*2)/2+3,0]) cylinder(d=CoverMountDiameter,h=DustCoverThickness*3,center=true, $fn=FNResolution);
    
		//translate ([DustCoverLength/2,(DustCoverWidth-InsetLength+AddedLengthForFanClearance*2)/2,-1]) cylinder(d=CoverLockNutClearance,h=DustCoverThickness-LockNutThicknessClearance,center=false, $fn=FNResolution);
        
    }