//Mount Plate for Laser

LaserMountPlateThickness = 8;
FNResolution = 100; //360 for print

MountScrewThickness = 3;
ScrewLength = 20;

YScrewPosition1 = 28.08;
YScrewPosition2 = 55.42;
YScrewPosition3 = 82.72;

difference(){
    
linear_extrude(height = LaserMountPlateThickness, $fn = FNResolution)
                import(file = "Laser Mount Plate.dxf");
                
translate([0,YScrewPosition1,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=MountScrewThickness,h=ScrewLength*2, center=true, $fn=FNResolution);

translate([0,YScrewPosition2,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=MountScrewThickness,h=ScrewLength*2, center=true, $fn=FNResolution);

translate([0,YScrewPosition3,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=MountScrewThickness,h=ScrewLength*2, center=true, $fn=FNResolution);

translate([100.5,YScrewPosition1,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=MountScrewThickness,h=ScrewLength*2, center=true, $fn=FNResolution);

translate([100.5,YScrewPosition2,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=MountScrewThickness,h=ScrewLength*2, center=true, $fn=FNResolution);

translate([100.5,YScrewPosition3,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=MountScrewThickness,h=ScrewLength*2, center=true, $fn=FNResolution);
    
}